Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225682 - Merge Review: desktop-printing
Summary: Merge Review: desktop-printing
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:56 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-29 12:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-14 09:26:01 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:56:48 UTC
Fedora Merge Review: desktop-printing

http://cvs.fedora.redhat.com/viewcvs/devel/desktop-printing/
Initial Owner: davidz@redhat.com

Comment 1 Parag AN(पराग) 2007-09-20 05:13:27 UTC
rpmlint gave me

desktop-printing.src:25: W: prereq-use gtk2 >= %{gtk_version}
The use of PreReq is deprecated. In the majority of cases, a plain Requires
is enough and the right thing to do. Sometimes Requires(pre), Requires(post),
Requires(preun) and/or Requires(postun) can also be used instead of PreReq.

desktop-printing.src: W: mixed-use-of-spaces-and-tabs (spaces: line 25, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.


desktop-printing.src: W: no-url-tag
The URL tag is missing.

desktop-printing.i386: W: non-conffile-in-etc
/etc/dbus-1/system.d/printdriverselector.conf
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

desktop-printing.i386: W: non-conffile-in-etc
/etc/xdg/autostart/redhat-print-applet.desktop
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

desktop-printing.i386: W: invalid-license GPL
The value of the License tag was not recognized.  Known values are:
"Adobe", "Affero GPL", "AFL", "ARL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL
1.1+", "ASL 2.0", "ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic 2.0",
"Artistic clarified", "BitTorrent", "Boost", "BSD", "BSD with advertising",
"CeCILL", "CDDL", "CPL", "Condor", "Copyright only", "Cryptix", "Crystal
Stacker", "EPL", "eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "Giftware",
"Glide", "gnuplot", "GPL+", "GPL+ or Artistic", "GPLv2", "GPLv2 with
exceptions", "GPLv2+", "GPLv3", "GPLv3+", "IBM", "IJG", "ImageMagick",
"iMatix", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer", "LGPLv2",
"LGPLv2 with exceptions", "LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff", "LPL",
"LPPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+",
"NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OpenPBS", "OSL 1.0",
"OSL 1.0+", "OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL
3.0+", "OpenSSL", "Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL",
"Ruby", "Sleepycat", "SISSL", "SLIB", "SPL", "TCL", "UCD", "Vim", "VNLSL",
"VSL", "W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "zlib", "CDL", "FBSDDL", "GFDL",
"IEEE", "OFSFDL", "Open Publication", "CC-BY", "CC-BY-SA", "DSL", "Free Art",
"Arphic", "Bitstream Vera", "mplus", "OFL", "Utopia", "XANO",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".

desktop-printing.i386: E: invalid-desktopfile
/usr/share/applications/gnome-default-printer.desktop
.desktop file is not valid, check with desktop-file-validate


SHOULD:
 1) Use "sed -i -e 's|\t|  |g' desktop-printing.spec"
 2) Change License tag
 3) PreReq is now deprecated.
 4) Preserve timestamp in cp or install command usage.
 5) use make %{?_smp_mflags}
 6) This package don't need to own /etc/gconf/schemas
 7) use %config(noreplace) for %{_sysconfdir}/dbus-1/system.d/*.conf
 8) desktop-file-validate on redhat-print-applet.desktop gave me
  /etc/xdg/autostart/redhat-print-applet.desktop: warning: key "Encoding" in
group "Desktop Entry" is deprecated
/etc/xdg/autostart/redhat-print-applet.desktop: error: value "TrayIcon" in key
"Categories" in group "Desktop Entry" is a reserved category, so a "OnlyShowIn"
key must be included
 ==> Add OnlyShowIn=GNOME; to /etc/xdg/autostart/redhat-print-applet.desktop

also,
 Do we need to ignore rpmlint warning for desktop file installed at
/etc/xdg/autostart/redhat-print-applet.desktop ?


Comment 2 Tim Waugh 2007-11-14 09:26:01 UTC
desktop-printing is no longer shipped in Fedora 8.

Comment 3 Peter Lemenkov 2009-09-26 14:11:30 UTC
It should be marked as dead (cvs tree shiould contain dead.package file with some description). Please, remove all sources and add dead.package file.

Comment 4 Tim Waugh 2009-09-29 12:27:46 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.